ru.bitel.bgbilling.modules.inet.api.common.bean

## Class FlowAgentType

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.FlowAgentType

-     public class FlowAgentType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_IPFIX`
    `static int` | `TYPE_NETFLOW`
    `static int` | `TYPE_NETFLOW9`
    `static int` | `TYPE_SFLOW`
    `static int` | `TYPE_SNMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowAgentType()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkSourceType(int type)`
    `static int` | `nameToType(java.lang.String type)`
    `static java.lang.String` | `typeToName(int type)`
    `static java.lang.String` | `typeToTitleString(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NETFLOW

          public static final int TYPE_NETFLOW

      See Also:
        Constant Field Values

    - #### TYPE_NETFLOW9

          public static final int TYPE_NETFLOW9

      See Also:
        Constant Field Values

    - #### TYPE_SFLOW

          public static final int TYPE_SFLOW

      See Also:
        Constant Field Values

    - #### TYPE_SNMP

          public static final int TYPE_SNMP

      See Also:
        Constant Field Values

    - #### TYPE_IPFIX

          public static final int TYPE_IPFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlowAgentType

          public FlowAgentType()

  - ### Method Detail

    - #### nameToType

          public static final int nameToType(java.lang.String type)

    - #### typeToName

          public static final java.lang.String typeToName(int type)

    - #### checkSourceType

          public static final boolean checkSourceType(int type)

    - #### typeToTitleString

          public static final java.lang.String typeToTitleString(int type)